
MLEB Web Framework - Feature #7186

Keeping the User from Losing Data by Leaving the Page Before Submit

06 April 2020 09:31 AM - chok yee fan

Status: Resolved Start date: 06 April 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

After form been change, need to prompt user before leave.

Or could keep the data without lost it.

History

#1 - 10 April 2020 01:07 PM - Tan Ping TP

Revision: 189473

Author: tanping

Date: Friday, April 10, 2020 12:53:32 PM

Message:

Feature #7186

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/check-save.guard.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout-routing.module.ts

#2 - 10 April 2020 01:07 PM - Tan Ping TP

- Status changed from New to Resolved

- Assignee set to chok yee fan

#3 - 27 April 2020 02:42 PM - chok yee fan

- Status changed from Resolved to Feedback

Prompt message should put it in en.json

remove the extra console.log

Need to write how to use it

#4 - 27 April 2020 02:44 PM - chok yee fan

- Assignee changed from chok yee fan to Tan Ping TP

#5 - 28 April 2020 09:46 PM - Tan Ping TP

- Status changed from Feedback to Resolved
- Assignee changed from Tan Ping TP to chok yee fan

Revision: 190733

Author: tanping

Date: Tuesday, April 28, 2020 9:32:34 PM

Message:

Feature #7186

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/check-save.guard.ts

#6 - 20 October 2020 02:50 PM - chok yee fan

- Status changed from Resolved to New

- Assignee changed from chok yee fan to Kee Yong Cheng

#7 - 10 November 2020 10:46 AM - Kee Yong Cheng

- Status changed from New to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 199433

Author: intkeeyc

Date: Tuesday, November 10, 2020 10:30:17 AM

Message:

Kee Yong Cheng: dirtyCheck done for leave page before submit

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/check-save.guard.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/dirtyCheck.guard.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/models/dirtyComponent.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.ts
